Bug 1463182 - [abrt] gnome-terminal: delete_outdated_error_traps(): gnome-terminal-server killed by signal 11
[abrt] gnome-terminal: delete_outdated_error_traps(): gnome-terminal-server k...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d0c918897585bec10d3cecaefa1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-20 06:51 EDT by Christian Stadelmann
Modified: 2018-05-29 03:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-05-29 03:53:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (32.07 KB, text/plain)
2017-06-20 06:51 EDT, Christian Stadelmann
no flags Details
File: core_backtrace (13.86 KB, text/plain)
2017-06-20 06:51 EDT, Christian Stadelmann
no flags Details
File: cpuinfo (1.13 KB, text/plain)
2017-06-20 06:51 EDT, Christian Stadelmann
no flags Details
File: dso_list (11.11 KB, text/plain)
2017-06-20 06:51 EDT, Christian Stadelmann
no flags Details
File: exploitable (100 bytes, text/plain)
2017-06-20 06:51 EDT, Christian Stadelmann
no flags Details
File: limits (1.29 KB, text/plain)
2017-06-20 06:51 EDT, Christian Stadelmann
no flags Details
File: proc_pid_status (1.29 KB, text/plain)
2017-06-20 06:51 EDT, Christian Stadelmann
no flags Details

  None (edit)
Description Christian Stadelmann 2017-06-20 06:51:24 EDT
Description of problem:
Steps to reproduce:
1. start a GNOME/Xorg session
2. start gnome-terminal (1st instance)
3. from gnome-terminal start weston
4. inside weston, start weston terminal
5. from weston terminal, start gnome-terminal (2nd instance)
6. inside the 2nd gnome-terminal instance, copy some text

What happens:
gnome-terminal crashes immediately.

What should happen:
No crash

Additional info:
This crash does not happen if using konsole instead of gnome-terminal (no matter whether you replace the 1st or 2nd instance).

Version-Release number of selected component:
gnome-terminal-3.24.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-terminal-server
crash_function: delete_outdated_error_traps
executable:     /usr/libexec/gnome-terminal-server
journald_cursor: s=d9b93894cd2e4e55aba616986ff3d351;i=14bad;b=8dbed7a5f5e4494b8005398fe7ab7033;m=33472e8b7;t=55261f7a3b876;x=ca7c77187b485aee
kernel:         4.11.5-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 delete_outdated_error_traps at gdkdisplay-x11.c:2599
 #1 gdk_x11_display_error_trap_push at gdkdisplay-x11.c:2640
 #2 gdk_error_trap_push at gdkdisplay.c:2319
 #3 _gtk_selection_request at gtkselection.c:2490
 #4 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:143
 #5 _g_closure_invoke_va at gclosure.c:867
 #8 gtk_widget_event_internal at gtkwidget.c:7724
 #9 gtk_widget_event at gtkwidget.c:7294
 #10 gtk_main_do_event at gtkmain.c:1841
 #11 _gdk_event_emit at gdkevents.c:73
Comment 1 Christian Stadelmann 2017-06-20 06:51:31 EDT
Created attachment 1289570 [details]
File: backtrace
Comment 2 Christian Stadelmann 2017-06-20 06:51:33 EDT
Created attachment 1289571 [details]
File: core_backtrace
Comment 3 Christian Stadelmann 2017-06-20 06:51:34 EDT
Created attachment 1289572 [details]
File: cpuinfo
Comment 4 Christian Stadelmann 2017-06-20 06:51:36 EDT
Created attachment 1289573 [details]
File: dso_list
Comment 5 Christian Stadelmann 2017-06-20 06:51:38 EDT
Created attachment 1289574 [details]
File: exploitable
Comment 6 Christian Stadelmann 2017-06-20 06:51:39 EDT
Created attachment 1289575 [details]
File: limits
Comment 7 Christian Stadelmann 2017-06-20 06:51:41 EDT
Created attachment 1289576 [details]
File: proc_pid_status
Comment 8 Christian Persch (GNOME) 2017-06-20 18:31:13 EDT
Upstream gtk+ bug: https://bugzilla.gnome.org/show_bug.cgi?id=784016
Comment 9 Fedora End Of Life 2018-05-03 04:11:49 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 10 Christian Stadelmann 2018-05-29 03:53:23 EDT
According to upstream, this bug has been fixed already.

Note You need to log in before you can comment on or make changes to this bug.